
Smart Proxy - Bug #992

Unspported scheme - when using nfs  path for installation media.

06/15/2011 09:55 PM - Bency Tharakan

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: TFTP   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1228748 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/516

  

Description

Hi Ohad,

I am in the process of evaluating Foreman for replacing our existing server build process with kickstart. We are using a bunch or

rhel's for production and centos for dev and few redhat VM's for testing.

I have ran into an issue with smartproxy and tftp, when using nfs servers for installation media wget command throws an error as

Unsupported scheme.

D, [2011-06-16T13:11:16.462468 #1938] DEBUG -- : Starting task (total: 0): wget --timeout=10 --tries=3 --no-check-certificate nv -c

nfs://10.33.104.213/export/storage/media/centos/centos55/x86_64/images/pxeboot/initrd.img -O

"/tftpboot/boot/CentOS-5.5-x86_64-initrd.img"

E, [2011-06-16T13:11:16.505590 #1938] ERROR - : [346]

nfs://10.33.104.213/export/storage/media/centos/centos55/x86_64/images/pxeboot/vmlinuz: Unsupported scheme.

Let me know if you need any further information.

Regards

Bency

Related issues:

Related to Smart Proxy - Feature #19045: Fetch boot files from NFS New 03/28/2017

Related to Foreman - Feature #1447: NFS-server Support New 01/12/2012

Associated revisions

Revision 85e58d57 - 04/07/2017 06:54 AM - Ondřej Pražák

Fixes #992 - Make NFS a recognized protocol

History

#1 - 06/16/2011 01:59 AM - Ohad Levy

- Category set to TFTP

#2 - 06/16/2011 01:59 AM - Ohad Levy

thanks.. I've updated the tftp , see limitations section for a workaround.

#3 - 03/16/2016 05:28 AM - Ohad Levy

- Bugzilla link set to 1228748

#4 - 03/23/2017 11:18 AM - Ondřej Pražák

- Description updated

- Status changed from New to Assigned

- Assignee set to Ondřej Pražák

05/12/2024 1/2

https://projects.theforeman.org/issues/1938
https://projects.theforeman.org/issues/1938
https://projects.theforeman.org/projects/smart-proxy/wiki/Tftp


#5 - 03/28/2017 06:19 AM - Ondřej Pražák

- Related to Feature #19045: Fetch boot files from NFS added

#6 - 03/28/2017 06:27 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/516 added

#7 - 04/07/2017 07:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 85e58d5777fbb170f6a387f7853c390a4d1fc650.

#8 - 04/10/2017 03:58 AM - Marek Hulán

- Target version set to 1.13.0

#9 - 05/18/2017 09:47 AM - Anonymous

- Related to Feature #1447: NFS-server Support added
